import { useEffect, useState } from 'react'

const useBrowserTabActive = () => {
  const [tabActive, setTabActive] = useState(true)

  useEffect(() => {
    const handleVisibilityChange = () => {
      setTabActive(!document.hidden)
    }

    document.addEventListener('visibilitychange', handleVisibilityChange)

    return () => {
      document.removeEventListener('visibilitychange', handleVisibilityChange)
    }
  }, [])
  return tabActive
}

export default useBrowserTabActive
